Sweep Solids

Hello,

For creating sweep solid i am using the following constructor,

BRepOffsetAPI_MakePipe(const TopoDS_Wire& Spine,

const TopoDS_Shape& Profile);

But the problem is that i am not able to get the Face on one side of the solid. Please note that i am passing closed curves in profile.

I experienced similar problem while creating the solid prism by using the following constructor.

BRepPrimAPI_MakePrism(TopoDS_Face, vector);

But i got the solution by passing boolean varaible i,e

BRepPrimAPI_MakePrism(TopoDS_Face, vector , Standard_True);

But the same is not working in case of sweep solid.

Kindly suggest ways / ideas in this regards.

With advanced Thanks,

Venkata Krishna

P Venkat Krishna's picture

I swept a circle along a line (to get a cylinder). Investigations showed that the new circular edge formed at the farther end of the cylinder is a degenerated edge. No face was created there. Please help me in sorting out this problem.

With Regards,

Venkata Krishna